## org.apache.poi.xslf.usermodel
Class XSLFTableCell

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFShape
          org.apache.poi.xslf.usermodel.XSLFSimpleShape
              org.apache.poi.xslf.usermodel.XSLFTextShape
                  org.apache.poi.xslf.usermodel.XSLFTableCell

All Implemented Interfaces:
  java.lang.Iterable<XSLFTextParagraph>

    public class XSLFTableCell

extends XSLFTextShape

Represents a cell of a table in a .pptx presentation

Author:
  Yegor Kozlov

Method Summary
`double` `getBorderBottom()`
`java.awt.Color` `getBorderBottomColor()`
`double` `getBorderLeft()`
`java.awt.Color` `getBorderLeftColor()`
`double` `getBorderRight()`
`java.awt.Color` `getBorderRightColor()`
`double` `getBorderTop()`
`java.awt.Color` `getBorderTopColor()`
`java.awt.Color` `getFillColor()`
`protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody` `getTextBody(boolean create)`
`VerticalAlignment` `getVerticalAlignment()` Returns the type of vertical alignment for the text.
`org.openxmlformats.schemas.drawingml.x2006.main.CTTableCell` `getXmlObject()`
`void` `setBorderBottom(double width)`
`void` `setBorderBottomColor(java.awt.Color color)`
`void` `setBorderLeft(double width)`
`void` `setBorderLeftColor(java.awt.Color color)`
`void` `setBorderRight(double width)`
`void` `setBorderRightColor(java.awt.Color color)`
`void` `setBorderTop(double width)`
`void` `setBorderTopColor(java.awt.Color color)`
`void` `setBottomInset(double margin)` Sets the botom margin.
`void` `setFillColor(java.awt.Color color)` Specifies a solid color fill.
`void` `setLeftInset(double margin)` Sets the left margin.
`void` `setRightInset(double margin)` Sets the right margin.
`void` `setTopInset(double margin)` Sets the top margin.
`void` `setVerticalAlignment(VerticalAlignment anchor)` Sets the type of vertical alignment for the text.

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFTextShape
`addNewTextParagraph, clearText, drawContent, getBottomInset, getLeftInset, getRightInset, getText, getTextAutofit, getTextBodyPr, getTextDirection, getTextHeight, getTextParagraphs, getTextType, getTopInset, getWordWrap, iterator, resizeToFitText, setPlaceholder, setText, setTextAutofit, setTextDirection, setWordWrap`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSimpleShape

`draw, getAnchor, getCTPlaceholder, getFlipHorizontal, getFlipVertical, getLineCap, getLineColor, getLineDash, getLineHeadDecoration, getLineHeadLength, getLineHeadWidth, getLineTailDecoration, getLineTailLength, getLineTailWidth, getLineWidth, getNvPr, getRotation, getShadow, getShapeId, getShapeName, getShapeType, getSheet, getSpPr, getSpStyle, setAnchor, setFlipHorizontal, setFlipVertical, setLineCap, setLineColor, setLineDash, setLineHeadDecoration, setLineHeadLength, setLineHeadWidth, setLineTailDecoration, setLineTailLength, setLineTailWidth, setLineWidth, setRotation, setShapeType`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFShape
`applyTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getXmlObject

    public org.openxmlformats.schemas.drawingml.x2006.main.CTTableCell getXmlObject()

  Overrides:
    `getXmlObject` in class `XSLFSimpleShape`
  Returns:
    the xml bean holding this shape's data

### getTextBody

    protected org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody getTextBody(boolean create)

  Specified by:
    `getTextBody` in class `XSLFTextShape`

### setLeftInset

    public void setLeftInset(double margin)

  Description copied from class: `XSLFTextShape`
  Sets the left margin.

  Overrides:
    `setLeftInset` in class `XSLFTextShape`
  Parameters:
    `margin` - the left margin
  See Also:
    `XSLFTextShape.getLeftInset()`

### setRightInset

    public void setRightInset(double margin)

  Description copied from class: `XSLFTextShape`
  Sets the right margin.

  Overrides:
    `setRightInset` in class `XSLFTextShape`
  Parameters:
    `margin` - the right margin
  See Also:
    `XSLFTextShape.getRightInset()`

### setTopInset

    public void setTopInset(double margin)

  Description copied from class: `XSLFTextShape`
  Sets the top margin.

  Overrides:
    `setTopInset` in class `XSLFTextShape`
  Parameters:
    `margin` - the top margin
  See Also:
    `XSLFTextShape.getTopInset()`

### setBottomInset

    public void setBottomInset(double margin)

  Description copied from class: `XSLFTextShape`
  Sets the botom margin.

  Overrides:
    `setBottomInset` in class `XSLFTextShape`
  Parameters:
    `margin` - the bottom margin
  See Also:
    `XSLFTextShape.getBottomInset()`

### setBorderLeft

    public void setBorderLeft(double width)

### getBorderLeft

    public double getBorderLeft()

### setBorderLeftColor

    public void setBorderLeftColor(java.awt.Color color)

### getBorderLeftColor

    public java.awt.Color getBorderLeftColor()

### setBorderRight

    public void setBorderRight(double width)

### getBorderRight

    public double getBorderRight()

### setBorderRightColor

    public void setBorderRightColor(java.awt.Color color)

### getBorderRightColor

    public java.awt.Color getBorderRightColor()

### setBorderTop

    public void setBorderTop(double width)

### getBorderTop

    public double getBorderTop()

### setBorderTopColor

    public void setBorderTopColor(java.awt.Color color)

### getBorderTopColor

    public java.awt.Color getBorderTopColor()

### setBorderBottom

    public void setBorderBottom(double width)

### getBorderBottom

    public double getBorderBottom()

### setBorderBottomColor

    public void setBorderBottomColor(java.awt.Color color)

### getBorderBottomColor

    public java.awt.Color getBorderBottomColor()

### setFillColor

    public void setFillColor(java.awt.Color color)

  Specifies a solid color fill. The shape is filled entirely with the specified color.

  Overrides:
    `setFillColor` in class `XSLFSimpleShape`
  Parameters:
    `color` - the solid color fill. The value of `null` unsets the solidFIll attribute from the underlying xml

### getFillColor

    public java.awt.Color getFillColor()

  Overrides:
    `getFillColor` in class `XSLFSimpleShape`
  Returns:
    solid fill color of null if not set

### setVerticalAlignment

    public void setVerticalAlignment(VerticalAlignment anchor)

  Description copied from class: `XSLFTextShape`
  Sets the type of vertical alignment for the text.

  Overrides:
    `setVerticalAlignment` in class `XSLFTextShape`
  Parameters:
    `anchor` - - the type of alignment. A `null` values unsets this property.

### getVerticalAlignment

    public VerticalAlignment getVerticalAlignment()

  Description copied from class: `XSLFTextShape`
  Returns the type of vertical alignment for the text.

  Overrides:
    `getVerticalAlignment` in class `XSLFTextShape`
  Returns:
    the type of vertical alignment

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.